package main

import (
	"os"
	"sevenkeys/cli"
	"sevenkeys/database"
	"sevenkeys/figlet"
)

func main() {
	var profile string
	if len(os.Args) < 2 {
		profile = "production"
	} else {
		profile = os.Args[1]
	}
	db := database.GetDatabaseFromConfig("config." + profile + ".json")

	figlet.ReadFigletFonts()
	cli.ShowSplashScreen()

	cli.RunUpdateCheck(db)

	cli.MainCliLoop(db)
}
